/* --------------- YOU MAY ALSO LIKE SECTION STYLING --------------- */

.ymal-grid > div {
  display: grid;
  grid-template-columns: auto;
  justify-content: center;
  gap: 20px; 
}

.ymal-teaser .cmp-teaser {
  position: relative;
  display: flex;
  flex-direction: row-reverse;
  background-color: #fff;
  width: 600px;
  margin: auto;
  box-shadow: 0px 7px 50px #d9d9d9;
}

.ymal-teaser .cmp-teaser .cmp-image__image {
  max-width: unset;
  width: 267px;
  height: 267px;
}

.ymal-teaser .cmp-teaser .cmp-teaser__content {
  padding: 60px 25px;
  width: 100%;
}

.ymal-teaser .cmp-teaser .cmp-teaser__pretitle { 
  line-height: 14px;
  position: absolute;
  top: 25px;
  left: 25px;
}

.ymal-teaser .cmp-teaser .cmp-teaser__pretitle {
  font-size: 12px;
  text-transform: uppercase;
  color: #27afeb;
}

.ymal-teaser .cmp-teaser .cmp-teaser__title {
  margin-bottom: 20px;
}

.ymal-teaser .cmp-teaser .cmp-teaser__title a {
  color: #727272;
  font-weight: 500;
  font-size: 18px;
  margin: 0 0 10px;
}

.ymal-teaser .cmp-teaser .cmp-teaser__description p {
  font-size: 14px;
}

.ymal-teaser .cmp-teaser .cmp-teaser__action-container {
  position: absolute;
  bottom: 5%;
  left: 43%;
}

.ymal-teaser .cmp-teaser .cmp-teaser__action-container > a {
  position: relative;
  background-color: #20639b;
  width: 45px;
  height: 45px;
  display: block;
  border-radius: 50%;
  transition: all 0.3s linear;
}

.ymal-teaser .cmp-teaser .cmp-teaser__action-container > a:hover {
  box-shadow: inset 0 0 0 25px #5d5d5d;
}

.ymal-teaser .cmp-teaser .cmp-teaser__action-container > a::before {
  content: '';
  border-top: 1px solid #fff;
  border-right: 1px solid #fff;
  width: 0.7em;
  height: 0.7em;
  display: inline-block;
  transform: rotate(45deg);
  position: absolute;
  left: 34%;
  top: 36%;
  margin: 1px 0 0;
}

@media screen and (max-width: 768px) {

  .ymal-grid > div {
    grid-template-columns: auto auto;
  }
  
  .ymal-teaser .cmp-teaser {
    flex-direction: column;
    width: min-content;
  }

  .ymal-teaser .cmp-teaser .cmp-teaser__content {
    padding: 50px 25px;
    padding-bottom: 70px;
  }

  .ymal-teaser .cmp-teaser .cmp-teaser__pretitle { 
    top: 286px;
  }

  .ymal-teaser .cmp-teaser .cmp-teaser__action-container {
    right: 7%;
    bottom: 3%;
    left: unset;
  }

  .ymal-category-wrap {
    top: 290px;
  }
}

@media screen and (max-width: 580px) {

  .ymal-grid > div {
    grid-template-columns: auto;
  }
}